<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
<h1>tivx.h</h1><a href="tivx_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">*</span>
<a name="l00003"></a>00003 <span class="comment">* Copyright (c) 2017 Texas Instruments Incorporated</span>
<a name="l00004"></a>00004 <span class="comment">*</span>
<a name="l00005"></a>00005 <span class="comment">* All rights reserved not granted herein.</span>
<a name="l00006"></a>00006 <span class="comment">*</span>
<a name="l00007"></a>00007 <span class="comment">* Limited License.</span>
<a name="l00008"></a>00008 <span class="comment">*</span>
<a name="l00009"></a>00009 <span class="comment">* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive</span>
<a name="l00010"></a>00010 <span class="comment">* license under copyrights and patents it now or hereafter owns or controls to make,</span>
<a name="l00011"></a>00011 <span class="comment">* have made, use, import, offer to sell and sell (&quot;Utilize&quot;) this software subject to the</span>
<a name="l00012"></a>00012 <span class="comment">* terms herein.  With respect to the foregoing patent license, such license is granted</span>
<a name="l00013"></a>00013 <span class="comment">* solely to the extent that any such patent is necessary to Utilize the software alone.</span>
<a name="l00014"></a>00014 <span class="comment">* The patent license shall not apply to any combinations which include this software,</span>
<a name="l00015"></a>00015 <span class="comment">* other than combinations with devices manufactured by or for TI (&quot;TI Devices&quot;).</span>
<a name="l00016"></a>00016 <span class="comment">* No hardware patent is licensed hereunder.</span>
<a name="l00017"></a>00017 <span class="comment">*</span>
<a name="l00018"></a>00018 <span class="comment">* Redistributions must preserve existing copyright notices and reproduce this license</span>
<a name="l00019"></a>00019 <span class="comment">* (including the above copyright notice and the disclaimer and (if applicable) source</span>
<a name="l00020"></a>00020 <span class="comment">* code license limitations below) in the documentation and/or other materials provided</span>
<a name="l00021"></a>00021 <span class="comment">* with the distribution</span>
<a name="l00022"></a>00022 <span class="comment">*</span>
<a name="l00023"></a>00023 <span class="comment">* Redistribution and use in binary form, without modification, are permitted provided</span>
<a name="l00024"></a>00024 <span class="comment">* that the following conditions are met:</span>
<a name="l00025"></a>00025 <span class="comment">*</span>
<a name="l00026"></a>00026 <span class="comment">* *       No reverse engineering, decompilation, or disassembly of this software is</span>
<a name="l00027"></a>00027 <span class="comment">* permitted with respect to any software provided in binary form.</span>
<a name="l00028"></a>00028 <span class="comment">*</span>
<a name="l00029"></a>00029 <span class="comment">* *       any redistribution and use are licensed by TI for use only with TI Devices.</span>
<a name="l00030"></a>00030 <span class="comment">*</span>
<a name="l00031"></a>00031 <span class="comment">* *       Nothing shall obligate TI to provide you with source code for the software</span>
<a name="l00032"></a>00032 <span class="comment">* licensed and provided to you in object code.</span>
<a name="l00033"></a>00033 <span class="comment">*</span>
<a name="l00034"></a>00034 <span class="comment">* If software source code is provided to you, modification and redistribution of the</span>
<a name="l00035"></a>00035 <span class="comment">* source code are permitted provided that the following conditions are met:</span>
<a name="l00036"></a>00036 <span class="comment">*</span>
<a name="l00037"></a>00037 <span class="comment">* *       any redistribution and use of the source code, including any resulting derivative</span>
<a name="l00038"></a>00038 <span class="comment">* works, are licensed by TI for use only with TI Devices.</span>
<a name="l00039"></a>00039 <span class="comment">*</span>
<a name="l00040"></a>00040 <span class="comment">* *       any redistribution and use of any object code compiled from the source code</span>
<a name="l00041"></a>00041 <span class="comment">* and any resulting derivative works, are licensed by TI for use only with TI Devices.</span>
<a name="l00042"></a>00042 <span class="comment">*</span>
<a name="l00043"></a>00043 <span class="comment">* Neither the name of Texas Instruments Incorporated nor the names of its suppliers</span>
<a name="l00044"></a>00044 <span class="comment">*</span>
<a name="l00045"></a>00045 <span class="comment">* may be used to endorse or promote products derived from this software without</span>
<a name="l00046"></a>00046 <span class="comment">* specific prior written permission.</span>
<a name="l00047"></a>00047 <span class="comment">*</span>
<a name="l00048"></a>00048 <span class="comment">* DISCLAIMER.</span>
<a name="l00049"></a>00049 <span class="comment">*</span>
<a name="l00050"></a>00050 <span class="comment">* THIS SOFTWARE IS PROVIDED BY TI AND TI&apos;S LICENSORS &quot;AS IS&quot; AND ANY EXPRESS</span>
<a name="l00051"></a>00051 <span class="comment">* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES</span>
<a name="l00052"></a>00052 <span class="comment">* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.</span>
<a name="l00053"></a>00053 <span class="comment">* IN NO EVENT SHALL TI AND TI&apos;S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,</span>
<a name="l00054"></a>00054 <span class="comment">* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,</span>
<a name="l00055"></a>00055 <span class="comment">* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span>
<a name="l00056"></a>00056 <span class="comment">* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY</span>
<a name="l00057"></a>00057 <span class="comment">* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE</span>
<a name="l00058"></a>00058 <span class="comment">* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED</span>
<a name="l00059"></a>00059 <span class="comment">* OF THE POSSIBILITY OF SUCH DAMAGE.</span>
<a name="l00060"></a>00060 <span class="comment">*</span>
<a name="l00061"></a>00061 <span class="comment">*/</span>
<a name="l00062"></a>00062 
<a name="l00063"></a>00063 
<a name="l00064"></a>00064 
<a name="l00065"></a>00065 
<a name="l00066"></a>00066 <span class="preprocessor">#ifndef VX_EXT_TI_H_</span>
<a name="l00067"></a>00067 <span class="preprocessor"></span><span class="preprocessor">#define VX_EXT_TI_H_</span>
<a name="l00068"></a>00068 <span class="preprocessor"></span>
<a name="l00069"></a>00069 <span class="preprocessor">#include &lt;VX/vx.h&gt;</span>
<a name="l00070"></a>00070 <span class="preprocessor">#include &lt;<a class="code" href="tivx__kernels_8h.html" title="The list of supported kernels in the TIOVX.">TI/tivx_kernels.h</a>&gt;</span>
<a name="l00071"></a>00071 <span class="preprocessor">#include &lt;<a class="code" href="tivx__nodes_8h.html" title="The list of supported nodes in the TIOVX.">TI/tivx_nodes.h</a>&gt;</span>
<a name="l00072"></a>00072 
<a name="l00073"></a>00073 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00074"></a>00074 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00075"></a>00075 <span class="preprocessor">#endif</span>
<a name="l00076"></a>00076 <span class="preprocessor"></span>
<a name="l00086"></a><a class="code" href="group__group__tivx__ext.html#ga52e4e464cbb33ffaae6e5dcc81f4c06f">00086</a> <span class="preprocessor">#define TIVX_MODULE_NAME0    &quot;openvx-core&quot;</span>
<a name="l00087"></a>00087 <span class="preprocessor"></span>
<a name="l00090"></a><a class="code" href="group__group__tivx__ext.html#ga7a3f8ef94608a635c53d15def9e30fb5">00090</a> <span class="preprocessor">#define TIVX_MODULE_NAME1    &quot;ivsion&quot;</span>
<a name="l00091"></a>00091 <span class="preprocessor"></span>
<a name="l00095"></a><a class="code" href="group__group__tivx__ext.html#gab68210419fad8fb7be1a93197de2c106">00095</a> <span class="preprocessor">#define TIVX_TARGET_DSP1        &quot;DSP-1&quot;</span>
<a name="l00096"></a>00096 <span class="preprocessor"></span>
<a name="l00100"></a><a class="code" href="group__group__tivx__ext.html#ga0dfd25405c06779d0412bab14959ef72">00100</a> <span class="preprocessor">#define TIVX_TARGET_DSP2        &quot;DSP-2&quot;</span>
<a name="l00101"></a>00101 <span class="preprocessor"></span>
<a name="l00105"></a><a class="code" href="group__group__tivx__ext.html#gae6b25f6169466bf4e9aa5687724c4e09">00105</a> <span class="preprocessor">#define TIVX_TARGET_EVE1        &quot;EVE-1&quot;</span>
<a name="l00106"></a>00106 <span class="preprocessor"></span>
<a name="l00110"></a><a class="code" href="group__group__tivx__ext.html#gab637c23a034ed666f0297279f6276f92">00110</a> <span class="preprocessor">#define TIVX_TARGET_EVE2        &quot;EVE-2&quot;</span>
<a name="l00111"></a>00111 <span class="preprocessor"></span>
<a name="l00115"></a><a class="code" href="group__group__tivx__ext.html#gad6f6ebb4efb4322aa2c7d4a9117e50f1">00115</a> <span class="preprocessor">#define TIVX_TARGET_EVE3        &quot;EVE-3&quot;</span>
<a name="l00116"></a>00116 <span class="preprocessor"></span>
<a name="l00120"></a><a class="code" href="group__group__tivx__ext.html#ga25bfa87057d92012fa3c105ee8fbe7d5">00120</a> <span class="preprocessor">#define TIVX_TARGET_EVE4        &quot;EVE-4&quot;</span>
<a name="l00121"></a>00121 <span class="preprocessor"></span>
<a name="l00125"></a><a class="code" href="group__group__tivx__ext.html#ga07cdfce40693a8bc960fcd119efd54ea">00125</a> <span class="preprocessor">#define TIVX_TARGET_A15_0       &quot;A15-0&quot;</span>
<a name="l00126"></a>00126 <span class="preprocessor"></span>
<a name="l00130"></a><a class="code" href="group__group__tivx__ext.html#ga199f206b4fc1cd450c3551b3ebfad0b6">00130</a> <span class="preprocessor">#define TIVX_TARGET_IPU1_0      &quot;IPU1-0&quot;</span>
<a name="l00131"></a>00131 <span class="preprocessor"></span>
<a name="l00135"></a><a class="code" href="group__group__tivx__ext.html#ga43b1169a7f66fb201b8013144b65b36e">00135</a> <span class="preprocessor">#define TIVX_TARGET_IPU1_1      &quot;IPU1-1&quot;</span>
<a name="l00136"></a>00136 <span class="preprocessor"></span>
<a name="l00140"></a><a class="code" href="group__group__tivx__ext.html#gac9fc418e581868fd4b4e8c1146f44636">00140</a> <span class="preprocessor">#define TIVX_TARGET_IPU2        &quot;IPU2&quot;</span>
<a name="l00141"></a>00141 <span class="preprocessor"></span>
<a name="l00147"></a><a class="code" href="group__group__tivx__ext.html#ga0731c235cd560c819c84532ca108f8f2">00147</a> <span class="preprocessor">#define TIVX_TARGET_MAX_NAME            (16u)</span>
<a name="l00148"></a>00148 <span class="preprocessor"></span>
<a name="l00157"></a><a class="code" href="group__group__tivx__ext.html#ga428b100613e60406a63693e75b7ba6bf">00157</a> <span class="preprocessor">#define TIVX_TARGET_HOST        &quot;HOST&quot;</span>
<a name="l00158"></a>00158 <span class="preprocessor"></span>
<a name="l00159"></a>00159 
<a name="l00175"></a><a class="code" href="group__group__tivx__ext.html#ga56b14c79b967d7f5f4170aab3befca6f">00175</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> _tivx_cpu_id_e {
<a name="l00176"></a>00176 
<a name="l00178"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa431c12c168d1c32cb48e82cde09e4fcf">00178</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa431c12c168d1c32cb48e82cde09e4fcf" title="CPU ID for DSP1.">TIVX_CPU_ID_DSP1</a> = 0,
<a name="l00179"></a>00179 
<a name="l00181"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa5318ebc57b8179bb55e48ce9cdd4ba21">00181</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa5318ebc57b8179bb55e48ce9cdd4ba21" title="CPU ID for DSP2.">TIVX_CPU_ID_DSP2</a> = 1,
<a name="l00182"></a>00182 
<a name="l00184"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6faad7dc7685f5bc5fb4ea9bf8e9fcced1c">00184</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6faad7dc7685f5bc5fb4ea9bf8e9fcced1c" title="CPU ID for EVE1.">TIVX_CPU_ID_EVE1</a> = 2,
<a name="l00185"></a>00185 
<a name="l00187"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fab1c2b27895776b0444c32cd74272e359">00187</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fab1c2b27895776b0444c32cd74272e359" title="CPU ID for EVE2.">TIVX_CPU_ID_EVE2</a> = 3,
<a name="l00188"></a>00188 
<a name="l00190"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa51856910203e6babff84d35dcc536309">00190</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa51856910203e6babff84d35dcc536309" title="CPU ID for EVE3.">TIVX_CPU_ID_EVE3</a> = 4,
<a name="l00191"></a>00191 
<a name="l00193"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa8cbaa812acb08885cd58173a8c72e989">00193</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa8cbaa812acb08885cd58173a8c72e989" title="CPU ID for EVE4.">TIVX_CPU_ID_EVE4</a> = 5,
<a name="l00194"></a>00194 
<a name="l00196"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa6748e946383394fbf5f4960b14448275">00196</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa6748e946383394fbf5f4960b14448275" title="CPU ID for IPU1-0.">TIVX_CPU_ID_IPU1_0</a> = 6,
<a name="l00197"></a>00197 
<a name="l00199"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa15301be3462bfb7147df69d727106fc1">00199</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa15301be3462bfb7147df69d727106fc1" title="CPU ID for IPU1-1.">TIVX_CPU_ID_IPU1_1</a> = 7,
<a name="l00200"></a>00200 
<a name="l00202"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa63ca2783561208dc6e076224f9b74001">00202</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa63ca2783561208dc6e076224f9b74001" title="CPU ID for IPU2.">TIVX_CPU_ID_IPU2_0</a> = 8,
<a name="l00203"></a>00203 
<a name="l00205"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa0d3eb119dccb236356d894852a2d4677">00205</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa0d3eb119dccb236356d894852a2d4677" title="CPU ID for A15-0.">TIVX_CPU_ID_A15_0</a> = 9,
<a name="l00206"></a>00206 
<a name="l00208"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa3f0e2f38cf7a9c6dd48078cc31b182d2">00208</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa3f0e2f38cf7a9c6dd48078cc31b182d2" title="CPU ID for A15-0.">TIVX_CPU_ID_A15_1</a> = 10,
<a name="l00209"></a>00209 
<a name="l00211"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa23df6ff4453761e35f6eae30a53c5aa8">00211</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa23df6ff4453761e35f6eae30a53c5aa8" title="Max value of CPU ID.">TIVX_CPU_ID_MAX</a> = 11,
<a name="l00212"></a>00212 
<a name="l00214"></a><a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa4e23aec1caf5cfa2e3ca2f9feede9b48">00214</a>     <a class="code" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa4e23aec1caf5cfa2e3ca2f9feede9b48" title="Invalid CPU ID.">TIVX_INVALID_CPU_ID</a> = 0xFF
<a name="l00215"></a>00215 
<a name="l00216"></a>00216 } <a class="code" href="group__group__tivx__ext.html#ga56b14c79b967d7f5f4170aab3befca6f" title="CPU ID for supported CPUs.">tivx_cpu_id_e</a>;
<a name="l00217"></a>00217 
<a name="l00218"></a>00218 
<a name="l00230"></a>00230 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__ext.html#gad7aa0fdded06205fb515f77c60e8cac7" title="Function to initialize OpenVX framework.">tivxInit</a>(<span class="keywordtype">void</span>);
<a name="l00231"></a>00231 
<a name="l00243"></a>00243 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__ext.html#gafe743fcbf54158387579a1f36ec1070b" title="Function to de-initialize OpenVX framework.">tivxDeInit</a>(<span class="keywordtype">void</span>);
<a name="l00244"></a>00244 
<a name="l00256"></a>00256 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__ext.html#ga31ae176c89afc45e20c15ed60b0023d0" title="Function to initialize OpenVX HOST side functionality.">tivxHostInit</a>(<span class="keywordtype">void</span>);
<a name="l00257"></a>00257 
<a name="l00269"></a>00269 <span class="keywordtype">void</span> <a class="code" href="group__group__tivx__ext.html#gafa17594a1ffb93ab47b3da495242bfd1" title="Function to de-initialize OpenVX HOST side functionality.">tivxHostDeInit</a>(<span class="keywordtype">void</span>);
<a name="l00270"></a>00270 
<a name="l00289"></a>00289 VX_API_ENTRY <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="vx__types_8h.html#aafbf3083f20518b915e89d73e26fe237">VX_API_CALL</a> <a class="code" href="group__group__tivx__ext.html#gada61688ef8d7e4dbfc343b3152ec7219" title="Associate a target with a kernel.">tivxAddKernelTarget</a>(<a class="code" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a" title="An opaque reference to the descriptor of a kernel.">vx_kernel</a> kernel, <span class="keywordtype">char</span> *target_name);
<a name="l00290"></a>00290 
<a name="l00291"></a>00291 
<a name="l00310"></a>00310 VX_API_ENTRY <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="vx__types_8h.html#aafbf3083f20518b915e89d73e26fe237">VX_API_CALL</a> <a class="code" href="group__group__tivx__ext.html#ga7194f59e8a633e8ffb01b2780c4fa2e3" title="Register publish and unpublish functions against a module name.">tivxRegisterModule</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *name, <a class="code" href="vx__types_8h.html#a3d14bc552df0c0dc582ec082310c2fd8" title="The entry point into modules loaded by vxLoadKernels.">vx_publish_kernels_f</a> publish, <a class="code" href="vx__types_8h.html#a939c334c93669e3754b671381eab5042" title="The entry point into modules unloaded by vxUnloadKernels.">vx_unpublish_kernels_f</a> unpublish);
<a name="l00311"></a>00311 
<a name="l00317"></a>00317 VX_API_ENTRY <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="vx__types_8h.html#aafbf3083f20518b915e89d73e26fe237">VX_API_CALL</a> <a class="code" href="group__group__tivx__ext.html#ga120fa188b0eda727d86e907b645f5d61" title="UnRegister publish and unpublish functions if previously registered.">tivxUnRegisterModule</a>(<span class="keywordtype">char</span> *name);
<a name="l00318"></a>00318 
<a name="l00324"></a>00324 <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> <a class="code" href="group__group__tivx__ext.html#ga391ddeb83fbd4d6cffead6536fe8fd22" title="Return CPU ID of the CPU on which this API is called.">tivxGetSelfCpuId</a>(<span class="keywordtype">void</span>);
<a name="l00325"></a>00325 
<a name="l00326"></a>00326 
<a name="l00332"></a>00332 <a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> <a class="code" href="group__group__tivx__ext.html#gaf9e2b985c0e14a513c924ff421857178" title="Utility function to create a node given parameter references and kernel enum.">tivxCreateNodeByKernelEnum</a>(<a class="code" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451" title="An opaque reference to a graph.">vx_graph</a> graph,
<a name="l00333"></a>00333                                 <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> kernelenum,
<a name="l00334"></a>00334                                 <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> params[],
<a name="l00335"></a>00335                                 <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> num);
<a name="l00336"></a>00336 
<a name="l00342"></a>00342 <a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> <a class="code" href="group__group__tivx__ext.html#ga9d9ccababb2be7012ffbad3b44713aaf" title="Utility function to create a node given parameter references and kernel reference...">tivxCreateNodeByKernelRef</a>(<a class="code" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451" title="An opaque reference to a graph.">vx_graph</a> graph,
<a name="l00343"></a>00343                                 <a class="code" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a" title="An opaque reference to the descriptor of a kernel.">vx_kernel</a> kernel,
<a name="l00344"></a>00344                                 <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> params[],
<a name="l00345"></a>00345                                 <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> num);
<a name="l00346"></a>00346 
<a name="l00352"></a>00352 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__tivx__ext.html#ga3aa39fe04bca71942913962c3b46a8e7" title="Utility function to check if the given reference is virtual or not.">tivxIsReferenceVirtual</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref);
<a name="l00353"></a>00353 
<a name="l00359"></a>00359 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__tivx__ext.html#ga9fcb9b76ac3436d468f7cdd76088a5f2" title="Utility function to know if target is enabled or not.">tivxIsTargetEnabled</a>(<span class="keywordtype">char</span> target_name[]);
<a name="l00360"></a>00360 
<a name="l00361"></a>00361 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00362"></a>00362 <span class="preprocessor"></span>}
<a name="l00363"></a>00363 <span class="preprocessor">#endif</span>
<a name="l00364"></a>00364 <span class="preprocessor"></span>
<a name="l00365"></a>00365 <span class="preprocessor">#endif</span>
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
